Subject: Re: [PATCH v2] powerpc: Replace the obsolete address of the FSF

From: Segher Boessenkool <[email-masked]>
Date: Fri, 11 Jul 2025 18:19:45 -0500

On Fri, Jul 11, 2025 at 12:32:57AM -0700, Christoph Hellwig wrote:
> On Fri, Jul 11, 2025 at 09:30:31AM +0200, Greg Kroah-Hartman wrote:
> > That's a crazy exception, and one that should probably be talked about
> > with the FSF to determine exactly what the SPDX lines should be.
> 
> It is called the libgcc exception and has been around forever for the
> files in libgcc.a that a lot of these low-level kernel helpers were
> copied from as the kernel doesn't link libgcc.

Almost.  It is called the "GCC Runtime Library Exception", and it is
about a lot more than libgcc, although that of course is one of the most
important things it covers :-)

Not linking to libgcc is a foolish thing btw.  The main reason for it
originally is to not have long divisions in the kernel (for x86
anyway!), but not using libgcc is neither sufficient nor necessary for
that goal.

Segher